package com.yushu.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yushu.system.mapper.AiModelMapper;
import com.yushu.system.domain.AiModel;
import com.yushu.system.service.IAiModelService;

@Service
public class AiModelServiceImpl implements IAiModelService {
    @Autowired
    private AiModelMapper aiModelMapper;

    @Override
    public AiModel selectAiModelByModelId(Long modelId) {
        return aiModelMapper.selectAiModelByModelId(modelId);
    }

    @Override
    public List<AiModel> selectAiModelList(AiModel aiModel) {
        return aiModelMapper.selectAiModelList(aiModel);
    }

    @Override
    public int insertAiModel(AiModel aiModel) {
        return aiModelMapper.insertAiModel(aiModel);
    }

    @Override
    public int updateAiModel(AiModel aiModel) {
        return aiModelMapper.updateAiModel(aiModel);
    }

    @Override
    public int deleteAiModelByModelIds(Long[] modelIds) {
        return aiModelMapper.deleteAiModelByModelIds(modelIds);
    }

    @Override
    public int deleteAiModelByModelId(Long modelId) {
        return aiModelMapper.deleteAiModelByModelId(modelId);
    }
}

